Agent Governance Protocol
API ReferenceExecution APIReplay

Stream task replay as server-sent events

Each event is emitted as an SSE data frame. The final frame carries a replay_complete signal.

GET
/agp/tasks/{taskId}/replay/stream

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.execution.read, agp.execution.write

Path Parameters

taskId*string

Response Body

text/event-stream

application/json

application/json

application/json

curl -X GET "https://example.com/agp/tasks/string/replay/stream"
"string"
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}